package app;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;
import java.util.stream.Collectors;
/*
  一括送信に必要なデータセット
*/
@XmlRootElement
public class DataSet {
    private String sender;              // 送信者メール
    private String title;               // メールタイトル
    private String message;             // 本文 or HTML文
    private String type;                // "CC" or "BCC" or "TO"
    private List<Recipient> dlist;    // 宛先のリスト

    public DataSet(String sender, String title, String message, String type, List<Recipient> dlist) {
        this.sender = sender;
        this.title = title;
        this.message = message;
        this.type = type;
        this.dlist = dlist;
    }
    public DataSet(){}

    public static int checkData(DataSet data){
        if(data==null)                                   return 1;
        if(data.sender==null || data.sender.isBlank())   return 2;
        if(data.title==null || data.title.isBlank())     return 3;
        if(data.type==null || data.type.isBlank())       return 4;
        if(data.message==null || data.message.isBlank()) return 5;
        if(data.dlist==null || data.dlist.isEmpty())     return 6;
                   
        return 0;
    }
    @Override
    public String toString() {
        String ret =  "BroadcastData{" + "sender=" + sender + ", title=" + title + ", message=" + message + ", type=" + type + "\n"; 
        String ret2 = dlist.stream().map(d->d.toString()).collect(Collectors.joining("\n"));
        return ret + ret2;
    }
    public String getSender() {
        return sender;
    }
    public void setSender(String sender) {
        this.sender = sender;
    }
    public String getTitle() {
        return title;
    }
    public void setTitle(String title) {
        this.title = title;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }
    public List<Recipient> getDlist() {
        return dlist;
    }
    public void setDlist(List<Recipient> dlist) {
        this.dlist = dlist;
    }
}
