package jmail;
/**
 * 電子メール送信ライブラリ J-mail ver 3.0 
 * Copyright (c) 2015-2020 Takashi Kawaba Released under the MIT license
 * https://opensource.org/licenses/MIT
 */
import java.io.FileInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.util.Properties;
import java.util.logging.Logger;
import javax.enterprise.context.Dependent;
import javax.enterprise.inject.Alternative;
import javax.inject.Inject;
import javax.servlet.ServletContext;

/**
 * SenderPropertiesインタフェースの実装
 * メール送信プロパティを、resources/xmlフォルダのmail.xlmファイルからロードする
 * @author kawaba
 */
@Alternative
@Dependent
public class XmlToProperties implements SenderProperties, Serializable {
    @Inject ServletContext context;
    @Inject Logger log;
    @Override
    public Properties getProperties() {
        String path = context.getRealPath("resources/xml/mail.xml");
        Properties pr = new Properties();
        try {
            pr.loadFromXML(new FileInputStream(path));
        } catch (IOException ex) {
            log.severe(ex.toString());
        }
        return pr;        
    }
}
